Bug 1269892 - [eclipse] text and icons are partially rendered on top of a white background.
[eclipse] text and icons are partially rendered on top of a white background.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 08:35 EDT by Joachim Frieben
Modified: 2016-03-25 21:50 EDT (History)
10 users (show)

See Also:
Fixed In Version: eclipse-4.5.1-6.fc23 eclipse-4.5.1-6.fc22 eclipse-4.5.1-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-25 21:50:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of eclipse sample dialog window (19.38 KB, image/png)
2015-10-08 08:35 EDT, Joachim Frieben
no flags Details
Screenshot of eclipse session (55.71 KB, image/png)
2015-12-10 11:59 EST, Joachim Frieben
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 481122 None None None Never

  None (edit)
Description Joachim Frieben 2015-10-08 08:35:23 EDT
Created attachment 1080987 [details]
Screenshot of eclipse sample dialog window

Description of problem:
The graphical user interface exhibits white patches here and there when the overall background colour is a light grey.

Version-Release number of selected component (if applicable):
eclipse-4.5.1-1.fc23

How reproducible:
Always.

Steps to Reproduce:
1. Launch eclipse.
2. Create new Java project.

Actual results:
Text and icons are partially rendered on top of a white background.

Expected results:
Text and icons are rendered on top of the default light grey background.

Additional info:
None.
Comment 1 Eric Williams 2015-10-08 09:09:40 EDT
I've seen this bug on F23 in both Neon nightly and Mars.1 builds. I haven't done any investigation yet, but from what I've seen it appears to be an upstream Gtk issue -- the bug does not reproduce with the same Eclipse versions on F22.
Comment 2 Fedora Update System 2015-12-08 10:29:47 EST
eclipse-4.5.1-6.fc22 eclipse-ecf-3.12.0-1.fc22 eclipse-egit-4.1.1-1.fc22 eclipse-jgit-4.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4950ffd970
Comment 3 Fedora Update System 2015-12-08 17:57:17 EST
eclipse-ecf-3.12.0-1.fc23, eclipse-egit-4.1.1-1.fc23, eclipse-jgit-4.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-egit eclipse-jgit eclipse-ecf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3a395d3f7
Comment 4 Fedora Update System 2015-12-08 18:50:43 EST
eclipse-4.5.1-6.fc22, eclipse-ecf-3.12.0-1.fc22, eclipse-egit-4.1.1-1.fc22, eclipse-jgit-4.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-egit eclipse eclipse-jgit eclipse-ecf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4950ffd970
Comment 5 Fedora Update System 2015-12-09 05:14:18 EST
eclipse-4.5.1-6.fc23 eclipse-ecf-3.12.0-1.fc23 eclipse-egit-4.1.1-1.fc23 eclipse-jgit-4.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3a395d3f7
Comment 6 Fedora Update System 2015-12-09 23:56:33 EST
eclipse-4.5.1-6.fc23, eclipse-ecf-3.12.0-1.fc23, eclipse-egit-4.1.1-1.fc23, eclipse-jgit-4.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse eclipse-egit eclipse-jgit eclipse-ecf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3a395d3f7
Comment 7 Joachim Frieben 2015-12-10 11:59 EST
Created attachment 1104414 [details]
Screenshot of eclipse session

Issue not fully resolved as seen in the lower central part of the window where URLs are shown on a white background.
Comment 8 Fedora Update System 2015-12-17 03:52:18 EST
eclipse-4.5.1-6.fc22, eclipse-ecf-3.12.0-1.fc22, eclipse-egit-4.1.1-1.fc22, eclipse-jgit-4.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Joachim Frieben 2015-12-17 08:18:17 EST
Reopen per comment 7.
Comment 10 Eric Williams 2015-12-17 10:54:06 EST
(In reply to Joachim Frieben from comment #9)
> Reopen per comment 7.

I've done some investigating and it seems this is a problem specifically linked to the EGit plugin, not SWT itself. The labels that you see with the white backgrounds are created different than labels in SWT, and therefore have irregular colors. As far as this bug report is concerned everything is working as expected.

This is one of those cases where something started working properly, and exposed other issues which previously weren't noticeable.
Comment 11 Fedora Update System 2015-12-18 02:53:38 EST
eclipse-4.5.1-6.fc23, eclipse-ecf-3.12.0-1.fc23, eclipse-egit-4.1.1-1.fc23, eclipse-jgit-4.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Eric Williams 2015-12-18 10:17:09 EST
I've filed an upstream bug for this and I have a patch in the works for the EGit plugin.

Upstream bugzilla thread: https://bugs.eclipse.org/bugs/show_bug.cgi?id=484696
Comment 13 Eric Williams 2016-01-05 10:20:10 EST
(In reply to Eric Williams from comment #12)
> Upstream bugzilla thread:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=484696

This upstream bug has been fixed.
Comment 14 Roland Grunberg 2016-01-05 12:58:31 EST
http://pkgs.fedoraproject.org/cgit/eclipse.git/commit/?h=f23&id=47041fe34938219943e42fb412a6305b9af9bdc6 should resolve this issue. There are some other bug fixes in this commit that are unrelated.

The build is http://koji.fedoraproject.org/koji/buildinfo?buildID=709256 and will be pushed through bodhi for f23 once it completes.
Comment 15 Fedora Update System 2016-01-06 22:04:00 EST
eclipse-4.5.1-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c119d77c0
Comment 16 Fedora Update System 2016-01-08 23:28:50 EST
eclipse-4.5.1-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c119d77c0
Comment 17 Fedora Update System 2016-01-09 16:57:03 EST
eclipse-4.5.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-01-21 11:37:56 EST
eclipse-4.5.1-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbb77ab56f
Comment 19 Fedora Update System 2016-01-23 16:28:47 EST
eclipse-4.5.1-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbb77ab56f
Comment 20 Fedora Update System 2016-02-04 19:21:55 EST
eclipse-4.5.1-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.